Application: gvSIG desktop - gvSIG bugs #5537
Anadir la funcion "lastOfIndex"
02/23/2021 04:58 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Document table

Target version: 2.6.0-3328

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En la versién 2.4 estaba la funcién "lastOfIndex" en la calculadora de campos, muy util para recortar cadenas en la tabla, pero no esta
ahora en la 2.5.1. Se podria incluir.

History

#1 - 08/04/2023 12:09 PM - Francisco Diaz Carsi

- Target version changed from 2.6.1-final to 2.6.0-3328
- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed

En SQL existe la funcion INSTR, pero no la funcién INDEXOF.
En lugar de disponer de la funcién LASTINDEXOF, tenemos la funcion REVERSEINSTR.

Hay que tener en cuenta que esta funcion no es SQL compatible, es gvSIG quien la ejecuta y que si se lanza sobre una base de datos, ralentizara la

consulta.

#2 - 09/28/2023 03:43 PM - Mario Chaveli

- Status changed from Fixed to Closed
